package com.platform.modules.live.aspect;

import com.baomidou.mybatisplus.service.IService;
import com.platform.modules.qk.service.VideoService;

import java.lang.annotation.*;

/**
 * @author TONG
 * 2019/11/15 16:28
 **/
@Documented
@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
public @interface ClipsTenant {
    String value() default "projectId";
    Class<? extends IService> tenantTableClazz() default VideoService.class;
    String method() default "findProjectByProjectId";
}
